libnvme(2)

NAME
struct nvme_lm_io_completion_queue_data - I/O Completion Queue data structure. Fields related to the contents of Create I/O Completion Queue command that created an I/O Completion Queue.

SYNOPSIS
struct nvme_lm_io_completion_queue_data {
__le64 iocqprp1;
__le16 iocqqsize;
__le16 iocqqid;
__le16 iocqhp;
__le16 iocqtp;
__le32 iocqa;
__u8 rsvd20[4];
};

Members

iocqprp1
    I/O Completion Queue PRP Entry 1 (IOCQPRP1)

iocqqsize
    I/O Completion Queue Size (IOCQQSIZE)

iocqqid
    I/O Completion Queue Identifier (IOCQQID)

iocqhp
    I/O Completion Queue Head Pointer (IOCQHP)

iocqtp
    I/O Completion Queue Tail Pointer (IOCQTP)

iocqa
    I/O Completion Queue Attributes (IOCQA)

rsvd20
    Reserved